> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List object storages

> Lists all object storages from a team.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /storage/objects
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /storage/objects:
    get:
      tags:
        - Storage
      summary: List object storages
      description: Lists all object storages from a team.
      operationId: get-storage-objects
      parameters:
        - name: filter[project]
          in: query
          required: false
          description: The project ID or Slug to filter by
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: bucket_6VE1Wd37dXnZJ
                        type: object_storages
                        attributes:
                          name: my-bucket-storage
                          size_in_gb: 500
                          created_at: '2026-03-19T10:30:00.000Z'
                          bucket_name: my-bucket
                          endpoint: https://s3.latitude.sh
                          access_key:
                            - AKIAIOSFODNN7EXAMPLE
                          region:
                            id: SAO2
                            city: SAO2
                            country: Brazil
                          project:
                            id: proj_6059EqYkOQj8p
                            name: My Project
                            slug: my-project
                            description: Project description
                            billing_type: Normal
                            billing_method: Normal
                            bandwidth_alert: false
                            environment: null
                            billing:
                              subscription_id: null
                              type: Normal
                              method: Normal
                            stats:
                              databases: 0
                              ip_addresses: 0
                              prefixes: 0
                              servers: 0
                              storages: 1
                              virtual_machines: 0
                              vlans: 0
                          team:
                            id: team_lV9Xe2AAK5CbMgGbpPYLskLRXyV
                            name: My Team
                            slug: my-team
                            description: My Team
                            address: 123 Main St
                            status: verified
                            currency:
                              id: cur_AW6Q2D9lqKLpr
                              code: USD
                              name: US Dollar
                              currency_id: null
              schema:
                $ref: '#/components/schemas/object_storages'
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              examples:
                FeatureNotEnabled:
                  value:
                    errors:
                      - code: FEATURE_NOT_ENABLED
                        message: Object Storage is not enabled for this team
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.storage.get_storage_objects()

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Storage.GetStorageObjects(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ObjectStorages != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.storage.getStorageObjects();

              console.log(result);
            }

            run();
components:
  schemas:
    object_storages:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/object_storage_data'
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
    object_storage_data:
      type: object
      properties:
        id:
          type: string
          description: Object storage ID with bucket_ prefix
        type:
          type: string
          enum:
            - object_storages
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Display name of the object storage
            size_in_gb:
              type: integer
              description: Storage capacity in gigabytes
            created_at:
              type: string
              format: date-time
              nullable: true
              description: Timestamp when the object storage was created
            bucket_name:
              type: string
              description: S3-compatible bucket name
            endpoint:
              type: string
              description: S3-compatible endpoint URL for accessing the bucket
            access_key:
              type: array
              items:
                type: string
              description: S3 access key(s) for authentication
            region:
              type: object
              nullable: true
              description: Region information where the object storage is located
              properties:
                id:
                  type: string
                  description: Region identifier
                city:
                  type: string
                  description: City identifier
                country:
                  type: string
                  nullable: true
                  description: Country name
            project:
              $ref: '#/components/schemas/project_include'
            team:
              $ref: '#/components/schemas/team_include'
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
        currency:
          type: object
        status:
          type: string
        feature_flags:
          type: array
          items:
            type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````